Problem playing mp4 h264 videos (GStreamer ?)

hello,

i am building a video player app under Ubuntu 14.04 64 bits and oF0.9.2

everything worked nice but i must have done something wrong since it doesn’t play mp4 video anymore !

something related to GStreamer it seems. I get the following error when launching the app :

[error] ofGstUtils : gstHandleMessage(): embedded video playback halted for plugin, module playsink reported: The autoaudiosink element is not working
[error] ofGstUtils: startPipeline(): unable to pause pipeline after 5s
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded

The app builds and launches but when playing mp4 videos the screens stays black.

I re-installed all oF dependencies and codecs, cleaned the project and rebuilt it but no way !

I think i miss an ubuntu package but i can’t find which one !

Any clue ?

thanks for your help

I did :

sudo apt-get install gstreamer0-10*

it installed a lot of stuff, including lots of KDE dependencies… but it works !

now i would like to know which was the missing package i was looking for !

that’s really strange because we don’t use gstreamer 0.10 anymore, if you’ve done so and it works it might be using 0.10 which is not mantained any more and probably has bugs and is slower. the script that installs the codecs to play “restricted” formats is install_codecs.sh in the corresponding distribution folder

yes i know.

I did install_dependencies.sh from ubuntu folder.
It used to work but i have made some changes, installed and removed some packages and then it didn’t work any more !

So i re-installed install_dependencies.sh and install_codecs.sh but with no luck.

I tried to install gstreamer packages manually one by one to see if it would fix the problem but no luck.

So i did a full gstreamer1-0* install… same problem

Then i ended up installing gstreamer0-10*… and then it fixed the issue…

I don’t know, maybe some dependencies other than gstreamer were installed or maybe some package were re-configured that fixed the problem… but i can’t see precisely what is broken !

I have very little disk space where ubuntu is installed, so i keep looking at what might cause the issue to solve it the more precisely possible.

I ended up wiping everything and re-installing from scratch debian jessie and oF092
now everything is working

thanks a lot

I had the same issue on ubuntu 15.10 with oF 0.9.3. I ran apt-get install gstreamer1.0, and it solved the problem.

had you run install_dependencies.sh and install_codecs.sh?

I have the same issue now too, i think this all started after an apt-get autoremove --purge which i do occasionally

running both ubuntu install scripts has not solved the issue, and they exit normally.